function RBH_Init()
   --set version string
   RBH_VERSION = GetAddOnMetadata("RBH", "version")
   if RBH_HitList == nil then
      RBH_HitList = {}
   end
   if RBH_Largess == nil then
      RBH_Largess = GetMoney()
   end  
   if RBH_Config == nil then
      RBH_Config = {}
      RBH_Config["channel"] = "GUILD"
   end    
   
   --for testing only, remove later
    RBH_Config["RealmChannel"] = true
    RBH_Config["PrivateChannel"] = true
   
   RBH_CreateGUI()   
   RBH_ActionQueueInit()   
   
   --get player faction and enemy faction
   RBH_PlayerFaction = UnitFactionGroup("player")
   if RBH_PlayerFaction == "Alliance" then
      RBH_EnemyFaction = "Horde"
   else
      RBH_EnemyFaction = "Alliance"
   end
   
   SLASH_RBH1 = "/rbh"
   SlashCmdList["RBH"] = RBH_Commands;
   
    --set portrait icon
    SetPortraitToTexture(RBH_HitListFrameSkullnXBonesTexture,"interface\\targetingframe\\targetdead")
    --SendAddonMessage("RBH_HL_SYNC_REQ",nil,"GUILD");    
    
    if RBH_Network == nil then
        RBH_Network = {}
    end
    if RBH_Config["RealmChannel"] then
        if RBH_Network[RBH_REALM_CHANNEL] == nil then
            RBH_Network[RBH_REALM_CHANNEL] = {}
        end
    end
    if RBH_Config["PrivateChannel"] then
        if RBH_Network[RBH_PRIVATE_CHANNEL] == nil then
            RBH_Network[RBH_PRIVATE_CHANNEL] = {}
        end
    end     
end  
